%if 0%{?fedora}
%global with_python3 1
%endif

%global modname grapefruit

Name:       python-grapefruit
Version:    0.1a4
Release:    3%{?dist}
Summary:    Python module for easy manipulation of color information

Group:      Development/Libraries
License:    ASL 2.0
URL:        https://github.com/xav/%{modname}
Source0:    https://github.com/xav/Grapefruit/releases/download/%{version}/%{modname}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  python2-devel

%description
GrapeFruit is a pure python module that let you easily manipulate and convert
color information. It's primary goal is to be natural and flexible.

%if 0%{?with_python3}
%package -n python3-grapefruit
Summary:        Python module for easy manipulation of color information

Group:          Development/Libraries
BuildRequires:  python3-devel

%description -n python3-grapefruit
GrapeFruit is a pure python module that let you easily manipulate and convert
color information. It's primary goal is to be natural and flexible.

%endif

%prep
%setup -q -c %{modname}-%{version}
sed -i 's/\r$//' CHANGES LICENSE TODO doc/Makefile doc/index.rst doc/conf.py doc/makedoc.cmd

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
# Fix shebang to avoid auto-generating Python 2 dependency in python3- subpackage.
sed -i '1s=^#!/usr/bin/python=#!%{__python3}=' %{py3dir}/grapefruit.py
%endif

%build
%py2_build

%if 0%{?with_python3}
pushd %{py3dir}
%py3_build
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?with_python3}
pushd %{py3dir}
%py3_install
chmod a+x $RPM_BUILD_ROOT%{python3_sitelib}/grapefruit.py
popd
%endif

%py2_install
chmod a+x $RPM_BUILD_ROOT%{python2_sitelib}/grapefruit.py

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files
%license LICENSE
%doc doc/ CHANGES COPYING README.rst TODO
%{python_sitelib}/grapefruit-%{version}-py?.?.egg-info
%{python2_sitelib}/grapefruit.py*

%if 0%{?with_python3}
%files -n python3-%{modname}
%license LICENSE
%doc doc/ CHANGES COPYING README.rst TODO
%{python3_sitelib}/grapefruit-%{version}-py?.?.egg-info
%{python3_sitelib}/grapefruit.py*
%{python3_sitelib}/__pycache__/grapefruit*
%endif

%changelog
* Tue Feb 28 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.1a4-3
- Fix auto-generating Python 2 dependency in python3- subpackage

* Thu Oct 13 2016 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.1a4-2
- Fix rpmlint errors

* Mon Aug 01 2016 Ariel O. Barria <ariel.o.barria@fedoraproject.org> - 0.1a4-1
- new version
- add __pycache__ for python3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1a3-9.20110710svn31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1a3-8.20110710svn31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1a3-7.20110710svn31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1a3-6.20110710svn31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1a3-5.20110710svn31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1a3-4.20110710svn31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1a3-3.20110710svn31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1a3-2.20110710svn31
- Fix summary to be shorter than 80 characters
- Clean up spec file

* Sun Jul 10 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.1a3-1.20110710svn31
- Initial RPM release
